---
title: "Berichte auflisten"
description: "Gibt alle Berichtskonfigurationen der Organisation sowie deren Berichts-Kontingent (Tarif-Feature-Flag und Limit) zurück."
---

`GET /api/organization/reports`

Listet die wiederkehrenden Berichtskonfigurationen der Organisation, neueste zuerst. Die Organisation wird aus Ihrer authentifizierten Sitzung oder Ihrem API-Token abgeleitet. Verfügbar für jede Organisationsrolle, auch für **Nur-Lese**-Benutzer.

## Beispiel (cURL)

```bash
BASE_URL="https://uptimeify.io"
TOKEN="<ihr-api-token>"

curl -X GET "$BASE_URL/api/organization/reports" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Accept: application/json"
```

## Antwort

```json
{
  "entitlement": { "enabled": true, "limit": 10 },
  "reports": [
    {
      "id": "3f1c9c1e-8d2a-4c7e-9b1a-2d5f6a7b8c90",
      "name": "Wöchentlicher Ops-Bericht",
      "enabled": true,
      "frequency": "weekly",
      "weekday": 1,
      "dayOfMonth": null,
      "sendHour": 2,
      "timezone": "Europe/Berlin",
      "scopeMode": "all",
      "scopeCustomerIds": [],
      "scopeTagIds": [],
      "inclusionMode": "problems",
      "problemSignals": { "incident": true, "downtimeMinutes": 5, "sslDaysLt": 14, "responseBreach": true },
      "thresholdUptimeLt": null,
      "thresholdResponseGt": null,
      "sendWhenEmpty": false,
      "sections": {
        "fleetSummary": true,
        "worstPerformers": true,
        "perSiteTable": true,
        "incidentLog": true,
        "sslExpiry": true,
        "groupByCustomer": false
      },
      "monitorTypes": ["website", "dns", "dnsbl", "domain", "icmp", "smtp", "ssh", "tcp", "ftp", "imap"],
      "sectionsByType": {},
      "groupByCustomer": false,
      "format": "email_pdf",
      "recipientEmails": ["ops@agentur.io"],
      "recipientUserIds": [],
      "createdAt": "2026-06-01T02:00:00.000Z",
      "updatedAt": "2026-06-01T02:00:00.000Z"
    }
  ]
}
```

`entitlement.enabled` zeigt an, ob der Tarif der Organisation Organisationsberichte enthält; `entitlement.limit` ist die maximale Anzahl an Berichtskonfigurationen. Beide Werte ergeben sich aus den aktiven Pricing-/Custom-Pricing-Datensätzen der Organisation, unabhängig davon, wie viele Berichte aktuell existieren.

## Häufige Fehler

- `401 Unauthorized`: nicht authentifiziert.
- `403 Forbidden` (`forbidden`): kein Zugriff auf diese Organisation.
